Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::is_sorted_fn Struct Reference
Algorithms

## Public Member Functions
template<typename I , typename S , typename R = less, typename P = identity>
auto | operator() (I begin, S end, R rel=R{}, P proj=P{}) const -> bool requires forward_iterator< I > &&sentinel_for< S, I > &&indirect_strict_weak_order< R, projected< I, P >>
| template function `is_sorted_fn::operator()` More...
template<typename Rng , typename R = less, typename P = identity>
auto | operator() (Rng &&rng, R rel=R{}, P proj=P{}) const -> bool requires forward_range< Rng > &&indirect_strict_weak_order< R, projected< iterator_t< Rng >, P >>

## Member Function Documentation

## ◆ operator()()

template<typename I , typename S , typename R = less, typename P = identity>

auto ranges::is_sorted_fn::operator() | ( | I | begin,
|  | S | end,
|  | R | rel = `R{}`,
|  | P | proj = `P{}`
| ) |  | const -> bool requires forward_iterator<I> && sentinel_for<S, I> && indirect_strict_weak_order<R, projected<I, P>>

template function `is_sorted_fn::operator()`

range-based version of the `is_sorted` std algorithm

Works on forward_ranges

Precondition
  `Rng` is a model of the `forward_range` concept
  `I` is a model of the `forward_iterator` concept
  `S` and `I` model the `sentinel_for<S, I>` concept
  `R` and `projected<I, P>` model the `indirect_strict_weak_order<R, projected<I, P>>` concept